# Class AlignmentProviderBehaviour

#### Hierarchy

- AlignmentProviderBehaviour

#### Implements

- RcsbViewBehaviourInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviour/AlignmentProviderBehaviour.ts:18

#####
Index

### Constructors

constructor

### Properties

subscription

### Methods

observe
unsubscribe

## Constructors

### constructor

- new AlignmentProviderBehaviour(): AlignmentProviderBehaviour

- #### Returns AlignmentProviderBehaviour

## Properties

### `Private` subscription

subscription: undefined | Subscription = undefined

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviour/AlignmentProviderBehaviour.ts:20

## Methods

### observe

- observe(rcsbFvContainer, stateManager): void

- #### Parameters

  - ##### rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

  - ##### stateManager: RcsbFvStateInterface

  #### Returns void

  Implementation of RcsbViewBehaviourInterface.observe

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviour/AlignmentProviderBehaviour.ts:21

### unsubscribe

- unsubscribe(): void

- #### Returns void

  Implementation of RcsbViewBehaviourInterface.unsubscribe

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/RcsbViewBehaviour/AlignmentProviderBehaviour.ts:28

Generated using TypeDoc